 #include <CapacitiveSensor.h>
#include <Servo.h> 

Servo myservoA;  // create servo object to control a servo 
Servo myservoB;  // create servo object to control a servo 
                // twelve servo objects can be created on most boards

int pos = 0;    // variable to store the servo position 
int firstpos;

 
 
/*
 * CapitiveSense Library Demo Sketch
 * Paul Badger 2008
 * Uses a high value resistor e.g. 10M between send pin and receive pin
 * Resistor effects sensitivity, experiment with values, 50K - 50M. Larger resistor values yield larger sensor values.
 * Receive pin is the sensor pin - try different amounts of foil/metal on this pin
 */

// not in order
CapacitiveSensor   cs_12 = CapacitiveSensor(11,12);        // 10M resistor between pins 4 & 2, pin 2 is sensor pin, add a wire and or foil if desired
CapacitiveSensor   cs_13 = CapacitiveSensor(11,16);   // A2     // 10M resistor between pins 4 & 6, pin 6 is sensor pin, add a wire and or foil
CapacitiveSensor   cs_10 = CapacitiveSensor(11,10);        // 10M resistor between pins 4 & 8, pin 8 is sensor pin, add a wire and or foil
CapacitiveSensor   cs_9 = CapacitiveSensor(11,9);        // 10M resistor between pins 4 & 8, pin 8 is sensor pin, add a wire and or foil
CapacitiveSensor   cs_8 = CapacitiveSensor(11,8);        // 10M resistor between pins 4 & 8, pin 8 is sensor pin, add a wire and or foil
CapacitiveSensor   cs_7 = CapacitiveSensor(11,7);        // 10M resistor between pins 4 & 8, pin 8 is sensor pin, add a wire and or foil
CapacitiveSensor   cs_6 = CapacitiveSensor(11,6);        // 10M resistor between pins 4 & 8, pin 8 is sensor pin, add a wire and or foil
CapacitiveSensor   cs_5 = CapacitiveSensor(11,5);        // 10M resistor between pins 4 & 8, pin 8 is sensor pin, add a wire and or foil
 int servopos =0;
   int maxpos;
   int maxn;
   
   
void setup()                    
{
   //cs_12.set_CS_AutocaL_Millis(0xFFFFFFFF);     // turn off autocalibrate on channel 1 - just as an example
   Serial.begin(9600);
   myservoA.attach(A0);  // attaches the servo on pin 9 to the servo object 
   myservoB.attach(A1);  // attaches the servo on pin 9 to the servo object 
   
   
  
}

void loop()                    
{
    //long start = millis();
      
    //long debug_cs =  cs_13.capacitiveSensor(5); //debug


    
    long t0 =  cs_12.capacitiveSensor(5); //0
    maxpos=0;
    firstpos=0;
    maxn=t0;

    long t60 =  cs_13.capacitiveSensor(5); //30
    if (t60>maxn){maxn=t60; maxpos=60;}
   
    long t120 =  cs_8.capacitiveSensor(5); //30
    if (t120>maxn){maxn=t120; maxpos=120;}
    
    long t170 =  cs_9.capacitiveSensor(5); //90
    if (t170>maxn){maxn=t170; maxpos=170;}

firstpos=maxpos;
/// 



  t0 =  cs_6.capacitiveSensor(5); //0
    maxpos=0;
    maxn=t0;
    

     t60 =  cs_7.capacitiveSensor(5); //30
    if (t60>maxn){maxn=t60; maxpos=60;}
   
     t120 =  cs_5.capacitiveSensor(5); //30
    if (t120>maxn){maxn=t120; maxpos=120;}
    
     t170 =  cs_10.capacitiveSensor(5); //90
    if (t170>maxn){maxn=t170; maxpos=170;}


/// 





    
    
                      // tab character for debug windown spacing
    if (maxn>1000){
      myservoA.write(firstpos);              // tell servo to go to position in variable 'pos' 
      myservoB.write(maxpos);              // tell servo to go to position in variable 'pos' 
    }

    /*

    Serial.print(cs_12.capacitiveSensor(5));                  // print sensor output 1
    Serial.print("   ");                  // print sensor output 1
    Serial.print(cs_13.capacitiveSensor(5));                  // print sensor output 1
        Serial.print("   ");                  // print sensor output 1

    Serial.print(cs_8.capacitiveSensor(5));                  // print sensor output 1
        Serial.print("   ");                  // print sensor output 1

    Serial.println(cs_13.capacitiveSensor(30));                  // print sensor output 1
*/
    
}
